<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__scb__common_8c" kind="file" language="C++">
    <compoundname>cyhal_scb_common.c</compoundname>
    <includes local="yes" refid="cyhal__scb__common_8h">cyhal_scb_common.h</includes>
    <includes local="yes" refid="cyhal__hwmgr_8h">cyhal_hwmgr.h</includes>
    <includes local="yes" refid="cyhal__syspm_8h">cyhal_syspm.h</includes>
    <includes local="yes" refid="cyhal__clock_8h">cyhal_clock.h</includes>
      <sectiondef kind="define">
      <memberdef id="cyhal__scb__common_8c_1aca901cf5cf10806fd995fe64e660668b" kind="define" prot="public" static="no">
        <name>_CYHAL_SCB_PERI_CLOCK_SLAVE_STD</name>
        <initializer>8000000</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="234" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="234" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1ae674d3306ce8827e85889ac302dd7911" kind="define" prot="public" static="no">
        <name>_CYHAL_SCB_PERI_CLOCK_SLAVE_FST</name>
        <initializer>12500000</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="236" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="236" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1a7235959801c2ad9767c696ac8ce28400" kind="define" prot="public" static="no">
        <name>_CYHAL_SCB_PERI_CLOCK_SLAVE_FSTP</name>
        <initializer>24000000</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="242" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="242" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1a7a8844c1369009c679dd5a4d2b558d36" kind="define" prot="public" static="no">
        <name>_CYHAL_SCB_PERI_CLOCK_MASTER_STD</name>
        <initializer>2000000</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="246" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="246" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1aadd0bf3e02736ee27ab0e94e99f38754" kind="define" prot="public" static="no">
        <name>_CYHAL_SCB_PERI_CLOCK_MASTER_FST</name>
        <initializer>8500000</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="248" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="248" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1ac081a623903081ea01dfd06773ee51ff" kind="define" prot="public" static="no">
        <name>_CYHAL_SCB_PERI_CLOCK_MASTER_FSTP</name>
        <initializer>20000000</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="250" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="250" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cyhal__scb__common_8c_1adad0ff8ff5b83a536c50323387c3e645" kind="variable" mutable="no" prot="public" static="no">
        <type>CySCB_Type *const</type>
        <definition>CySCB_Type* const _CYHAL_SCB_BASE_ADDRESSES[_SCB_ARRAY_SIZE]</definition>
        <argsstring>[_SCB_ARRAY_SIZE]</argsstring>
        <name>_CYHAL_SCB_BASE_ADDRESSES</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="37" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="37" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1ababfdeac7d58de9d7118090fcfad0320" kind="variable" mutable="no" prot="public" static="no">
        <type>const IRQn_Type</type>
        <definition>const IRQn_Type _CYHAL_SCB_IRQ_N[_SCB_ARRAY_SIZE]</definition>
        <argsstring>[_SCB_ARRAY_SIZE]</argsstring>
        <name>_CYHAL_SCB_IRQ_N</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="91" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="91" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1aec5d872b343247a4201e6ef3cba0a049" kind="variable" mutable="no" prot="public" static="yes">
        <type>void *</type>
        <definition>void* _cyhal_scb_config_structs[_SCB_ARRAY_SIZE]</definition>
        <argsstring>[_SCB_ARRAY_SIZE]</argsstring>
        <name>_cyhal_scb_config_structs</name>
        <briefdescription>
<para>The configuration structs for the resource in use on each SCB block. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="146" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="146" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1abfbb5212edd86fa3902453205adfedce" kind="variable" mutable="no" prot="public" static="yes">
        <type>bool(*</type>
        <definition>bool(* _cyhal_scb_config_pm_callback[_SCB_ARRAY_SIZE])(void *obj_ptr, cyhal_syspm_callback_state_t state, cy_en_syspm_callback_mode_t pdl_mode)</definition>
        <argsstring>[_SCB_ARRAY_SIZE])(void *obj_ptr, cyhal_syspm_callback_state_t state, cy_en_syspm_callback_mode_t pdl_mode)</argsstring>
        <name>_cyhal_scb_config_pm_callback</name>
        <briefdescription>
<para>The callback to use for each scb instance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="148" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="148" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1ad67b28f13bfdc84aa75087135dd5ef87" kind="variable" mutable="no" prot="public" static="yes">
        <type>bool</type>
        <definition>bool __cyhal_scb_pm_transition_pending_value</definition>
        <argsstring />
        <name>__cyhal_scb_pm_transition_pending_value</name>
        <initializer>= false</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="322" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="322" />
      </memberdef>
      <memberdef id="cyhal__scb__common_8c_1a8578264491068b61398aec902e4bce3f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref></type>
        <definition>cyhal_syspm_callback_data_t _cyhal_scb_pm_callback_data</definition>
        <argsstring />
        <name>_cyhal_scb_pm_callback_data</name>
        <initializer>=
{
    .callback = &amp;_cyhal_scb_pm_callback_common,
    .states = (<ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref>)(<ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2aeaae71eba11b9c861e4a86a6f5c0f2aa">CYHAL_SYSPM_CB_CPU_DEEPSLEEP</ref> | <ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2ac9de4348b02a53d947ce48bd7bc6922a">CYHAL_SYSPM_CB_SYSTEM_HIBERNATE</ref>),
    .args = NULL,
    .next = NULL,
    .ignore_modes = (<ref kindref="member" refid="group__group__hal__syspm_1ga5a6a88eb2b6e35dbea25e36b027bf4ba">cyhal_syspm_callback_mode_t</ref>)0,
}</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="366" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="366" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cyhal__scb__common_8c_1a73df133189fbc7c856121be265ab0bcb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t _cyhal_scb_get_block_from_irqn</definition>
        <argsstring>(IRQn_Type irqn)</argsstring>
        <name>_cyhal_scb_get_block_from_irqn</name>
        <param>
          <type>IRQn_Type</type>
          <declname>irqn</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="222" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="150" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="150" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__scb__common_8c_1a27cdbc20032fe68a5dfaf913fec88114" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void *</type>
        <definition>void* _cyhal_scb_get_irq_obj</definition>
        <argsstring>(void)</argsstring>
        <name>_cyhal_scb_get_irq_obj</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="229" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="224" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="224" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__scb__common_8c_1a22268288701e1032e7c63fe34193574d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t _cyhal_i2c_set_peri_divider</definition>
        <argsstring>(CySCB_Type *base, uint32_t block_num, cyhal_clock_t *clock, uint32_t freq, bool is_slave)</argsstring>
        <name>_cyhal_i2c_set_peri_divider</name>
        <param>
          <type>CySCB_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>block_num</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref> *</type>
          <declname>clock</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>freq</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>is_slave</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="291" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="253" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="253" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__scb__common_8c_1a4d611e79809033035ceb06adbcab52b4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>const <ref kindref="compound" refid="structcyhal__resource__pin__mapping__t">cyhal_resource_pin_mapping_t</ref> *</type>
        <definition>const cyhal_resource_pin_mapping_t* _cyhal_scb_find_map</definition>
        <argsstring>(cyhal_gpio_t pin, const cyhal_resource_pin_mapping_t *pin_map, size_t count, const cyhal_resource_inst_t *block_res)</argsstring>
        <name>_cyhal_scb_find_map</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__resource__pin__mapping__t">cyhal_resource_pin_mapping_t</ref> *</type>
          <declname>pin_map</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>count</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref> *</type>
          <declname>block_res</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="320" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="293" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="293" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__scb__common_8c_1a3eca9c64deac6f1b8ca53786051ff5ec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool _cyhal_scb_pm_transition_pending</definition>
        <argsstring>(void)</argsstring>
        <name>_cyhal_scb_pm_transition_pending</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="327" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="324" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="324" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__scb__common_8c_1a35d40239cf3711095a6ae3123ff0a1c9" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>bool</type>
        <definition>static bool _cyhal_scb_pm_callback_index</definition>
        <argsstring>(uint8_t index, cyhal_syspm_callback_state_t state, cy_en_syspm_callback_mode_t pdl_mode)</argsstring>
        <name>_cyhal_scb_pm_callback_index</name>
        <param>
          <type>uint8_t</type>
          <declname>index</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref></type>
          <declname>state</declname>
        </param>
        <param>
          <type>cy_en_syspm_callback_mode_t</type>
          <declname>pdl_mode</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="334" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="329" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="329" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__scb__common_8c_1af72aaca177cf0e88459938a85793a16c" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>bool</type>
        <definition>static bool _cyhal_scb_pm_callback_common</definition>
        <argsstring>(cyhal_syspm_callback_state_t state, cyhal_syspm_callback_mode_t mode, void *callback_arg)</argsstring>
        <name>_cyhal_scb_pm_callback_common</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref></type>
          <declname>state</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__syspm_1ga5a6a88eb2b6e35dbea25e36b027bf4ba">cyhal_syspm_callback_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="364" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="336" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="336" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__scb__common_8c_1a9e1410d5f433fdcf26233ee7b0eebe6b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void _cyhal_scb_update_instance_data</definition>
        <argsstring>(uint8_t block_num, void *obj, cyhal_scb_instance_pm_callback pm_callback)</argsstring>
        <name>_cyhal_scb_update_instance_data</name>
        <param>
          <type>uint8_t</type>
          <declname>block_num</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>cyhal_scb_instance_pm_callback</type>
          <declname>pm_callback</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="402" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" bodystart="375" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" line="375" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a struct definitions for configuration resources in the SCB (UART, I2C, SPI). </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"cyhal_scb_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hwmgr.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_syspm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_clock.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined<sp />(CY_IP_MXSCB)<sp />||<sp />(CY_IP_M0S8SCB)</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal">{</highlight></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal">CySCB_Type*<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />_CYHAL_SCB_BASE_ADDRESSES[_SCB_ARRAY_SIZE]<sp />=</highlight></codeline>
<codeline lineno="38"><highlight class="normal">{</highlight></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB0</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp />SCB0,</highlight></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB1</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp />SCB1,</highlight></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB2</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp />SCB2,</highlight></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB3</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />SCB3,</highlight></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(CY_DEVICE_PSOC6A256K)</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />NULL,<sp /></highlight><highlight class="comment">//<sp />Placeholder</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB4</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp />SCB4,</highlight></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB5</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />SCB5,</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB6</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />SCB6,</highlight></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB7</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp />SCB7,</highlight></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB8</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp />SCB8,</highlight></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB9</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp />SCB9,</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB10</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp />SCB10,</highlight></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB11</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp />SCB11,</highlight></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB12</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp />SCB12,</highlight></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB13</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp />SCB13,</highlight></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB14</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp />SCB14,</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB15</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp />SCB15,</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal">};</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="keyword">const</highlight><highlight class="normal"><sp />IRQn_Type<sp />_CYHAL_SCB_IRQ_N[_SCB_ARRAY_SIZE]<sp />=</highlight></codeline>
<codeline lineno="92"><highlight class="normal">{</highlight></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB0</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />scb_0_interrupt_IRQn,</highlight></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB1</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp />scb_1_interrupt_IRQn,</highlight></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB2</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp />scb_2_interrupt_IRQn,</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />SCB3</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp />scb_3_interrupt_IRQn,</highlight></codeline>
<codeline lineno="104"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(CY_DEVICE_PSOC6A256K)</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp />(IRQn_Type)0,<sp /></highlight><highlight class="comment">//<sp />Placeholder</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="107"><highlight class="normal">#ifdef<sp />SCB4</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp />scb_4_interrupt_IRQn,</highlight></codeline>
<codeline lineno="109"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="110"><highlight class="normal">#ifdef<sp />SCB5</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp />scb_5_interrupt_IRQn,</highlight></codeline>
<codeline lineno="112"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="113"><highlight class="normal">#ifdef<sp />SCB6</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />scb_6_interrupt_IRQn,</highlight></codeline>
<codeline lineno="115"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="116"><highlight class="normal">#ifdef<sp />SCB7</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp />scb_7_interrupt_IRQn,</highlight></codeline>
<codeline lineno="118"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="119"><highlight class="normal">#ifdef<sp />SCB8</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp />scb_8_interrupt_IRQn,</highlight></codeline>
<codeline lineno="121"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="122"><highlight class="normal">#ifdef<sp />SCB9</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />scb_9_interrupt_IRQn,</highlight></codeline>
<codeline lineno="124"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="125"><highlight class="normal">#ifdef<sp />SCB10</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />scb_10_interrupt_IRQn,</highlight></codeline>
<codeline lineno="127"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="128"><highlight class="normal">#ifdef<sp />SCB11</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp />scb_11_interrupt_IRQn,</highlight></codeline>
<codeline lineno="130"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="131"><highlight class="normal">#ifdef<sp />SCB12</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />scb_12_interrupt_IRQn,</highlight></codeline>
<codeline lineno="133"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="134"><highlight class="normal">#ifdef<sp />SCB13</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp />scb_13_interrupt_IRQn,</highlight></codeline>
<codeline lineno="136"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="137"><highlight class="normal">#ifdef<sp />SCB14</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp />scb_14_interrupt_IRQn,</highlight></codeline>
<codeline lineno="139"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="140"><highlight class="normal">#ifdef<sp />SCB15</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp />scb_15_interrupt_IRQn,</highlight></codeline>
<codeline lineno="142"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="143"><highlight class="normal">};</highlight></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*_cyhal_scb_config_structs[_SCB_ARRAY_SIZE];</highlight></codeline>
<codeline lineno="148"><highlight class="keyword">static</highlight><highlight class="normal"><sp />bool<sp />(*_cyhal_scb_config_pm_callback[_SCB_ARRAY_SIZE])<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*obj_ptr,<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref><sp />state,<sp />cy_en_syspm_callback_mode_t<sp />pdl_mode);</highlight></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal">uint8_t<sp />_cyhal_scb_get_block_from_irqn(IRQn_Type<sp />irqn)<sp />{</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal"><sp />(irqn)</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_0_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />0;</highlight></codeline>
<codeline lineno="155"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_1_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />1;</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_2_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />2;</highlight></codeline>
<codeline lineno="161"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(CY_DEVICE_PSOC6A256K)</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_3_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />3;</highlight></codeline>
<codeline lineno="165"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_4_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />4;</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_5_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />5;</highlight></codeline>
<codeline lineno="172"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_6_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />6;</highlight></codeline>
<codeline lineno="175"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_7_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />7;</highlight></codeline>
<codeline lineno="178"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />8)</highlight><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_8_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />8;</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />9)</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_9_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />9;</highlight></codeline>
<codeline lineno="184"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />10)</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_10_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />10;</highlight></codeline>
<codeline lineno="187"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />11)</highlight><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_11_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />11;</highlight></codeline>
<codeline lineno="190"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />12)</highlight><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_12_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />12;</highlight></codeline>
<codeline lineno="193"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />13)</highlight><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_13_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />13;</highlight></codeline>
<codeline lineno="196"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />14)</highlight><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_14_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />14;</highlight></codeline>
<codeline lineno="199"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />15)</highlight><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_15_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />15;</highlight></codeline>
<codeline lineno="202"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />16)</highlight><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_16_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />16;</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />17)</highlight><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_17_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />17;</highlight></codeline>
<codeline lineno="208"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />18)</highlight><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_18_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />18;</highlight></codeline>
<codeline lineno="211"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />19)</highlight><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />scb_19_interrupt_IRQn:<sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />19;</highlight></codeline>
<codeline lineno="214"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="215"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(_SCB_ARRAY_SIZE<sp />&gt;<sp />20)</highlight><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal" /><highlight class="preprocessor">#error<sp />"Unhandled<sp />scb<sp />count"</highlight><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);<sp /></highlight><highlight class="comment">//<sp />Should<sp />never<sp />be<sp />called<sp />with<sp />a<sp />non-SCB<sp />IRQn</highlight><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />0;</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="222"><highlight class="normal">}</highlight></codeline>
<codeline lineno="223"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*_cyhal_scb_get_irq_obj(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="225"><highlight class="normal">{</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp />IRQn_Type<sp />irqn<sp />=<sp />_CYHAL_UTILS_GET_CURRENT_IRQN();</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />block<sp />=<sp />_cyhal_scb_get_block_from_irqn(irqn);</highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cyhal_scb_config_structs[block];</highlight></codeline>
<codeline lineno="229"><highlight class="normal">}</highlight></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal" /><highlight class="comment">/*<sp />Peripheral<sp />clock<sp />values<sp />for<sp />different<sp />I2C<sp />speeds<sp />according<sp />PDL<sp />API<sp />Reference<sp />Guide<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal" /><highlight class="comment">/*<sp />Must<sp />be<sp />between<sp />1.55<sp />MHz<sp />and<sp />12.8<sp />MHz<sp />for<sp />running<sp />i2c<sp />master<sp />at<sp />100KHz<sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_SCB_PERI_CLOCK_SLAVE_STD<sp /><sp /><sp /><sp /><sp /><sp />8000000</highlight><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal" /><highlight class="comment">/*<sp />Must<sp />be<sp />between<sp />7.82<sp />MHz<sp />and<sp />15.38<sp />MHz<sp />for<sp />running<sp />i2c<sp />master<sp />at<sp />400KHz<sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_SCB_PERI_CLOCK_SLAVE_FST<sp /><sp /><sp /><sp /><sp /><sp />12500000</highlight><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal" /><highlight class="comment">/*<sp />Must<sp />be<sp />between<sp />15.84<sp />MHz<sp />and<sp />89.0<sp />MHz<sp />for<sp />running<sp />i2c<sp />master<sp />at<sp />1MHz<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined<sp />(COMPONENT_PSOC6HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_SCB_PERI_CLOCK_SLAVE_FSTP<sp /><sp /><sp /><sp /><sp />50000000</highlight><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal" /><highlight class="preprocessor">#else<sp /></highlight><highlight class="comment">/*<sp />COMPONENT_PSOC4HAL<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_SCB_PERI_CLOCK_SLAVE_FSTP<sp /><sp /><sp /><sp /><sp />24000000</highlight><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal" /><highlight class="comment">/*<sp />Must<sp />be<sp />between<sp />1.55<sp />MHz<sp />and<sp />3.2<sp />MHz<sp />for<sp />running<sp />i2c<sp />slave<sp />at<sp />100KHz<sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_SCB_PERI_CLOCK_MASTER_STD<sp /><sp /><sp /><sp /><sp />2000000</highlight><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /><highlight class="comment">/*<sp />Must<sp />be<sp />between<sp />7.82<sp />MHz<sp />and<sp />10<sp />MHz<sp />for<sp />running<sp />i2c<sp />slave<sp />at<sp />400KHz<sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_SCB_PERI_CLOCK_MASTER_FST<sp /><sp /><sp /><sp /><sp />8500000</highlight><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal" /><highlight class="comment">/*<sp />Must<sp />be<sp />between<sp />14.32<sp />MHz<sp />and<sp />25.8<sp />MHz<sp />for<sp />running<sp />i2c<sp />slave<sp />at<sp />1MHz<sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_SCB_PERI_CLOCK_MASTER_FSTP<sp /><sp /><sp /><sp />20000000</highlight><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="normal" /></codeline>
<codeline lineno="252"><highlight class="normal" /></codeline>
<codeline lineno="253"><highlight class="normal">uint32_t<sp />_cyhal_i2c_set_peri_divider(CySCB_Type<sp />*base,<sp />uint32_t<sp />block_num,<sp /><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref><sp />*clock,<sp />uint32_t<sp />freq,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />is_slave)</highlight></codeline>
<codeline lineno="254"><highlight class="normal">{</highlight></codeline>
<codeline lineno="255"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />the<sp />actual<sp />data<sp />rate<sp />on<sp />success,<sp />0<sp />otherwise<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="256"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />data_rate<sp />=<sp />0;</highlight></codeline>
<codeline lineno="257"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(freq<sp />!=<sp />0)</highlight></codeline>
<codeline lineno="258"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />peri_freq<sp />=<sp />0;</highlight></codeline>
<codeline lineno="260"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(freq<sp />&lt;=<sp />CY_SCB_I2C_STD_DATA_RATE)</highlight></codeline>
<codeline lineno="261"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="262"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />peri_freq<sp />=<sp />is_slave<sp />?<sp />_CYHAL_SCB_PERI_CLOCK_SLAVE_STD<sp />:<sp />_CYHAL_SCB_PERI_CLOCK_MASTER_STD;</highlight></codeline>
<codeline lineno="263"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="264"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(freq<sp />&lt;=<sp />CY_SCB_I2C_FST_DATA_RATE)</highlight></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="266"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />peri_freq<sp />=<sp />is_slave<sp />?<sp />_CYHAL_SCB_PERI_CLOCK_SLAVE_FST<sp />:<sp />_CYHAL_SCB_PERI_CLOCK_MASTER_FST;</highlight></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="268"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(freq<sp />&lt;=<sp />CY_SCB_I2C_FSTP_DATA_RATE)</highlight></codeline>
<codeline lineno="269"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="270"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />peri_freq<sp />=<sp />is_slave<sp />?<sp />_CYHAL_SCB_PERI_CLOCK_SLAVE_FSTP<sp />:<sp />_CYHAL_SCB_PERI_CLOCK_MASTER_FSTP;</highlight></codeline>
<codeline lineno="271"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="272"><highlight class="normal" /></codeline>
<codeline lineno="273"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(peri_freq<sp />&gt;<sp />0<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="274"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_PeriphAssignDivider(_cyhal_scb_get_clock_index(block_num),<sp />(cy_en_divider_types_t)clock-&gt;block,<sp />clock-&gt;channel)<sp />==<sp />CY_SYSCLK_SUCCESS)</highlight></codeline>
<codeline lineno="275"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="276"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__hal__clock_1ga00a4176391fe0e66d4665dde1919079d">cyhal_clock_set_enabled</ref>(clock,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="277"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(status<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="278"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__hal__clock_1ga144e152ee4f10bdba0dcd036e3ef879c">cyhal_clock_set_frequency</ref>(clock,<sp />peri_freq,<sp />NULL);</highlight></codeline>
<codeline lineno="279"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(status<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="280"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__hal__clock_1ga00a4176391fe0e66d4665dde1919079d">cyhal_clock_set_enabled</ref>(clock,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="281"><highlight class="normal" /></codeline>
<codeline lineno="282"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(status<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="283"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="284"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />data_rate<sp />=<sp />(is_slave)</highlight></codeline>
<codeline lineno="285"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />?<sp />Cy_SCB_I2C_GetDataRate(base,<sp /><ref kindref="member" refid="group__group__hal__clock_1gab96248124df045a665fe693801f9a358">cyhal_clock_get_frequency</ref>(clock))</highlight></codeline>
<codeline lineno="286"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />:<sp />Cy_SCB_I2C_SetDataRate(base,<sp />freq,<sp /><ref kindref="member" refid="group__group__hal__clock_1gab96248124df045a665fe693801f9a358">cyhal_clock_get_frequency</ref>(clock));</highlight></codeline>
<codeline lineno="287"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="288"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="289"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="290"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />data_rate;</highlight></codeline>
<codeline lineno="291"><highlight class="normal">}</highlight></codeline>
<codeline lineno="292"><highlight class="normal" /></codeline>
<codeline lineno="293"><highlight class="normal" /><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__resource__pin__mapping__t">cyhal_resource_pin_mapping_t</ref>*<sp />_cyhal_scb_find_map(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__resource__pin__mapping__t">cyhal_resource_pin_mapping_t</ref><sp />*pin_map,</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />count,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref><sp />*block_res)</highlight></codeline>
<codeline lineno="295"><highlight class="normal">{</highlight></codeline>
<codeline lineno="296"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(</highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />i<sp />=<sp />0;<sp />i<sp />&lt;<sp />count;<sp />i++)</highlight></codeline>
<codeline lineno="297"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="298"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(pin<sp />==<sp />pin_map[i].pin)</highlight></codeline>
<codeline lineno="299"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="300"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Block<sp />is<sp />already<sp />found,<sp />check<sp />if<sp />certain<sp />pin<sp />can<sp />work<sp />for<sp />provided<sp />block<sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="301"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((NULL<sp />!=<sp />block_res)<sp />&amp;&amp;<sp />(<ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975bac1349fcb893be326bcd28ed254bd7a80">CYHAL_RSC_SCB</ref><sp />==<sp />block_res-&gt;<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref>))</highlight></codeline>
<codeline lineno="302"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="303"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(_cyhal_utils_resources_equal(pin_map[i].inst,<sp />block_res))</highlight></codeline>
<codeline lineno="304"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="305"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;pin_map[i];</highlight></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="307"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="308"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />No<sp />block<sp />provided<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="311"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__hwmgr_1ga33e7c9bb9beaedeb87825dadf604a0b9">cyhal_hwmgr_reserve</ref>(pin_map[i].inst))</highlight></codeline>
<codeline lineno="312"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__hwmgr_1gaa1979bd596d90251c7b861a7e94b884f">cyhal_hwmgr_free</ref>(pin_map[i].inst);</highlight></codeline>
<codeline lineno="314"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;pin_map[i];</highlight></codeline>
<codeline lineno="315"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="316"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="317"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="318"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="319"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />NULL;</highlight></codeline>
<codeline lineno="320"><highlight class="normal">}</highlight></codeline>
<codeline lineno="321"><highlight class="normal" /></codeline>
<codeline lineno="322"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />__cyhal_scb_pm_transition_pending_value<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="323"><highlight class="normal" /></codeline>
<codeline lineno="324"><highlight class="normal" /><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />_cyhal_scb_pm_transition_pending(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="325"><highlight class="normal">{</highlight></codeline>
<codeline lineno="326"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />__cyhal_scb_pm_transition_pending_value;</highlight></codeline>
<codeline lineno="327"><highlight class="normal">}</highlight></codeline>
<codeline lineno="328"><highlight class="normal" /></codeline>
<codeline lineno="329"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />_cyhal_scb_pm_callback_index(uint8_t<sp />index,<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref><sp />state,<sp />cy_en_syspm_callback_mode_t<sp />pdl_mode)</highlight></codeline>
<codeline lineno="330"><highlight class="normal">{</highlight></codeline>
<codeline lineno="331"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*obj<sp />=<sp />_cyhal_scb_config_structs[index];</highlight></codeline>
<codeline lineno="332"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_scb_instance_pm_callback<sp />callback<sp />=<sp />_cyhal_scb_config_pm_callback[index];</highlight></codeline>
<codeline lineno="333"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((NULL<sp />!=<sp />obj)<sp />&amp;&amp;<sp />(callback<sp />!=<sp />NULL))<sp />?<sp />callback(obj,<sp />state,<sp />pdl_mode)<sp />:<sp />true;</highlight></codeline>
<codeline lineno="334"><highlight class="normal">}</highlight></codeline>
<codeline lineno="335"><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />_cyhal_scb_pm_callback_common(<ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref><sp />state,<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga5a6a88eb2b6e35dbea25e36b027bf4ba">cyhal_syspm_callback_mode_t</ref><sp />mode,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />callback_arg)</highlight></codeline>
<codeline lineno="337"><highlight class="normal">{</highlight></codeline>
<codeline lineno="338"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(callback_arg);</highlight></codeline>
<codeline lineno="339"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />allow<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="340"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_syspm_callback_mode_t<sp />pdl_mode<sp />=<sp />_cyhal_utils_convert_haltopdl_pm_mode(mode);</highlight></codeline>
<codeline lineno="341"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(uint8_t<sp />instance_idx<sp />=<sp />0;<sp />instance_idx<sp />&lt;<sp />_SCB_ARRAY_SIZE;<sp />instance_idx++)</highlight></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="343"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />allow<sp />=<sp />_cyhal_scb_pm_callback_index(instance_idx,<sp />state,<sp />pdl_mode);</highlight></codeline>
<codeline lineno="344"><highlight class="normal" /></codeline>
<codeline lineno="345"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(!allow<sp />&amp;&amp;<sp />mode<sp />==<sp /><ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa1d8aad9b05d313a22e7666a98414f26d">CYHAL_SYSPM_CHECK_READY</ref>)</highlight></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="347"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(uint8_t<sp />revert_idx<sp />=<sp />0;<sp />revert_idx<sp />&lt;<sp />instance_idx;<sp />revert_idx++)</highlight></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_cyhal_scb_pm_callback_index(revert_idx,<sp />state,<sp />CY_SYSPM_CHECK_FAIL);</highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="352"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="353"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="354"><highlight class="normal" /></codeline>
<codeline lineno="355"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(mode<sp />==<sp /><ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa190eae9b4e71d4c245038320880dcca3">CYHAL_SYSPM_CHECK_FAIL</ref><sp />||<sp />mode<sp />==<sp /><ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baaf6a195dbd042da0bffc35b9161ca49e6">CYHAL_SYSPM_AFTER_TRANSITION</ref>)</highlight></codeline>
<codeline lineno="356"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="357"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />__cyhal_scb_pm_transition_pending_value<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="358"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="359"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(mode<sp />==<sp /><ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa1d8aad9b05d313a22e7666a98414f26d">CYHAL_SYSPM_CHECK_READY</ref><sp />&amp;&amp;<sp />allow)</highlight></codeline>
<codeline lineno="360"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="361"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />__cyhal_scb_pm_transition_pending_value<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="362"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="363"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />allow;</highlight></codeline>
<codeline lineno="364"><highlight class="normal">}</highlight></codeline>
<codeline lineno="365"><highlight class="normal" /></codeline>
<codeline lineno="366"><highlight class="normal"><ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref><sp />_cyhal_scb_pm_callback_data<sp />=</highlight></codeline>
<codeline lineno="367"><highlight class="normal">{</highlight></codeline>
<codeline lineno="368"><highlight class="normal"><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcyhal__syspm__callback__data__t_1aacd72d2e829b54c27e98e6495ca4dfd8">callback</ref><sp />=<sp />&amp;_cyhal_scb_pm_callback_common,</highlight></codeline>
<codeline lineno="369"><highlight class="normal"><sp /><sp /><sp /><sp />.states<sp />=<sp />(<ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref>)(<ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2aeaae71eba11b9c861e4a86a6f5c0f2aa">CYHAL_SYSPM_CB_CPU_DEEPSLEEP</ref><sp />|<sp /><ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2ac9de4348b02a53d947ce48bd7bc6922a">CYHAL_SYSPM_CB_SYSTEM_HIBERNATE</ref>),</highlight></codeline>
<codeline lineno="370"><highlight class="normal"><sp /><sp /><sp /><sp />.args<sp />=<sp />NULL,</highlight></codeline>
<codeline lineno="371"><highlight class="normal"><sp /><sp /><sp /><sp />.next<sp />=<sp />NULL,</highlight></codeline>
<codeline lineno="372"><highlight class="normal"><sp /><sp /><sp /><sp />.ignore_modes<sp />=<sp />(<ref kindref="member" refid="group__group__hal__syspm_1ga5a6a88eb2b6e35dbea25e36b027bf4ba">cyhal_syspm_callback_mode_t</ref>)0,</highlight></codeline>
<codeline lineno="373"><highlight class="normal">};</highlight></codeline>
<codeline lineno="374"><highlight class="normal" /></codeline>
<codeline lineno="375"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />_cyhal_scb_update_instance_data(uint8_t<sp />block_num,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*obj,<sp />cyhal_scb_instance_pm_callback<sp />pm_callback)</highlight></codeline>
<codeline lineno="376"><highlight class="normal">{</highlight></codeline>
<codeline lineno="377"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_scb_config_structs[block_num]<sp />=<sp />obj;</highlight></codeline>
<codeline lineno="378"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_scb_config_pm_callback[block_num]<sp />=<sp />pm_callback;</highlight></codeline>
<codeline lineno="379"><highlight class="normal" /></codeline>
<codeline lineno="380"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />count<sp />=<sp />0;</highlight></codeline>
<codeline lineno="381"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(uint8_t<sp />i<sp />=<sp />0;<sp />i<sp />&lt;<sp />_SCB_ARRAY_SIZE;<sp />i++)</highlight></codeline>
<codeline lineno="382"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="383"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(_cyhal_scb_config_structs[i])</highlight></codeline>
<codeline lineno="384"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="385"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(count<sp />==<sp />1)</highlight></codeline>
<codeline lineno="386"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="387"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="388"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="389"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />count++;</highlight></codeline>
<codeline lineno="390"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="391"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="392"><highlight class="normal" /></codeline>
<codeline lineno="393"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(count<sp />==<sp />0)</highlight></codeline>
<codeline lineno="394"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="395"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(obj<sp />==<sp />NULL);</highlight></codeline>
<codeline lineno="396"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_cyhal_syspm_unregister_peripheral_callback(&amp;_cyhal_scb_pm_callback_data);</highlight></codeline>
<codeline lineno="397"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="398"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(count<sp />==<sp />1<sp />&amp;&amp;<sp />obj<sp />!=<sp />NULL)</highlight></codeline>
<codeline lineno="399"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="400"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_cyhal_syspm_register_peripheral_callback(&amp;_cyhal_scb_pm_callback_data);</highlight></codeline>
<codeline lineno="401"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="402"><highlight class="normal">}</highlight></codeline>
<codeline lineno="403"><highlight class="normal" /></codeline>
<codeline lineno="404"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="405"><highlight class="normal">}</highlight></codeline>
<codeline lineno="406"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="407"><highlight class="normal" /></codeline>
<codeline lineno="408"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXSCB<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_scb_common.c" />
  </compounddef>
</doxygen>